<xml></xml>

Saxon API for .NET |

# XPathCompiler Properties

The properties of the XPathCompiler class are listed below. For a complete list of XPathCompiler class members, see the XPathCompiler Members topic.

#### Public Instance Properties

BackwardsCompatible | XPath 1.0 Backwards Compatibility Mode. If true, backwards compatibility mode is set. In backwards compatibility mode, more implicit type conversions are allowed in XPath expressions, for example it is possible to compare a number with a string. The default is false (backwards compatibility mode is off).
BaseUri | The base URI of the expression, which forms part of the static context of the expression. This is used for resolving any relative URIs appearing within the expression, for example in references to library modules, schema locations, or as an argument to the `doc()` function.

#### See Also

XPathCompiler Class | Saxon.Api Namespace